import request from "@/utils/request";
// 监测终端台账
//、查询数据激活报表模板
export function updateTemplateActive(data) {
    return request({
        url: "/harmonic-boot/customReport/updateTemplateActive",
        method: "post",
        data,
    });
}

//获取报表模板 //部门树查询
export function getTemplateList(data) {
    return request({
        url: "/harmonic-boot/customReport/getTemplateList",
        // url:'/api3/harmonic-boot/customReport/getTemplateList',
        method: "post",
        data,
    });
}
//删除报表模板
export function delTemplate(data) {
    return request({
        url: "/harmonic-boot/customReport/delTemplate",
        method: "post",
        data,
    });
}

//修改获取数据
export function getCustomReportTemplateById(params) {
    return request({
        url: "/harmonic-boot/customReport/getCustomReportTemplateById",
        method: "get",
        params,
    });
}

//修改获取数据
export function viewCustomReportTemplateById(params) {
    return request({
        url: "/harmonic-boot/customReport/viewCustomReportTemplateById",
        method: "get",
        resposeType: "blob",
        params,
    });
}
//修改模板
export function dateTemplateup(data) {
    return request({
        url: "/harmonic-boot/customReport/updateTemplate",
        method: "POST",
        data,
    });
}

//新增报表模板
export function addTemplate(data) {
    return request({
        url: "/harmonic-boot/customReport/addTemplate",
        // url:'/api3/harmonic-boot/customReport/addTemplate',
        method: "post",
        data: data,
    });
}
//模板对应指标替换
export function getCustomReport(data) {
    return request({
        url: "/harmonic-boot/customReport/getCustomReport",
        method: "post",
        resposeType: "blob",
        data,
    });
}
//绑定模板
export function updateBindTemplate(data) {
    return request({
        url: "/harmonic-boot/customReport/updateBindTemplate",
        method: "post",
        data,
    });
}
//根据模板ID查询数据
export function getDataByTempId(params) {
    return request({
        url: "/harmonic-boot/customReport/getDataByTempId",
        method: "get",
        params,
    });
}
//根据部门查询模板
export function getTemplateByDept(params) {
    return request({
        url: "/harmonic-boot/customReport/getTemplateByDept",
        method: "get",
        params,
    });
}
//资源管理 查询数据
export function queryData(data) {
    return request({
        url: "/system-boot/resourceAdministration/queryData",
        method: "post",
        data,
    });
}
//资源管理 查询数据
export function uploadFile(data) {
    return request({
        url: "/system-boot/resourceAdministration/uploadFile",
        method: "post",
        data,
    });
}
//资源管理 删除资源
export function deleteFile(params) {
    return request({
        url: "/system-boot/resourceAdministration/deleteFile",
        method: "get",
        params,
    });
}
//资源管理 下载资源
export function downloadFile(params) {
    return request({
        url: "/system-boot/resourceAdministration/downloadFile",
        method: "get",
        params,
        responseType: "blob",
    });
}
//资源管理 修改资源
export function updateFile(data) {
    return request({
        url: "/system-boot/resourceAdministration/updateFile",
        method: "post",
        data,
    });
}
//合格率报告
export function pageTable(data) {
    return request({
        url: "/harmonic-boot/qualifiedReport/pageTable",
        method: "post",
        data,
    });
}
//合格率报告
export function targetLimitChooseTree() {
    return request({
        url: "/harmonic-boot/customReport/targetLimitChooseTree",
        method: "get",
    });
}
//监测点指标
export function terminalChooseTree() {
    return request({
        url: "/harmonic-boot/customReport/terminalChooseTree",
        method: "get",
    });
}